EDIT - bug #6790

10 class hierarchie creates problems in IDE
07/07/2017 11:20 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.9

Severity: normal Found in Version:

Description

In eclipse for some classes autocomplete does not work anymore.
E.g. ExcelDistributionUpdateConfigurator

Also [IOService can not open type hierarchy.

Also RisReferencelmportConfigurator has Problems

Also DistributionlmportConfigurator has problems

Removing generics "CONFIG, ExcellmporterBase” from extends ImportStateBase in ExcellmportState resolves the problem in
some cases

Associated revisions

Revision bb7eee99 - 07/08/2017 02:08 AM - Andreas Miiller

fix #6790 10 class hierarchy creates problems in eclipse

Revision ¢2877394 - 07/08/2017 02:23 AM - Andreas Miiller

fix #6790 10 class hierarchy creates problems in eclipse in cdmlib-apps

History

#1 - 07/07/2017 11:48 PM - Andreas Miiller
- Description updated

#2 - 07/08/2017 12:09 AM - Andreas Miiller
- Description updated

#3 - 07/08/2017 01:07 AM - Andreas Miiller
- Description updated

#4 - 07/08/2017 01:16 AM - Andreas Miiller

- Description updated

#5 - 07/08/2017 01:18 AM - Andreas Miiller

- Description updated

#6 - 07/08/2017 02:09 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|bb7eee99f5{8ae9dee2f45cbb8b4774f9adabeob.

#7 - 07/22/2017 09:36 AM - Andreas Mdller

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/bb7eee99f5f8ae9dee2f45cbb8b4774f9ada6c9b

- % Done changed from 50 to 100

Close this. Can be reopened if the problem appears again.
